#ifndef __XDG_CATEGORIES_TRANSLATOR_H
#define __XDG_CATEGORIES_TRANSLATOR_H

#include <string>
#include <list>
#include <map>

struct XdgCtgCondition
{
    std::string section;
    std::list<std::string> requires;
    std::list<std::string> conflicts;
};

class XdgCtgTranslator
{
public:
    XdgCtgTranslator();
    ~XdgCtgTranslator();

    std::string translate(const std::string &categories);
    std::string translate_section(const std::string &section);
    void addI18n(const std::string&);
    void saveI18n();
    static std::list<std::string> split(std::string textline, const char separator);

private:
    std::list<XdgCtgCondition> conditions;
    std::map<std::string,std::string> section_to_category_map;
    std::map<std::string, std::map<std::string,std::string> > i18n;
    
    void load(const std::string &translation_file, bool is_sections = false);
};

#endif
